{ pkgs ? import <nixpkgs> {} }:
let
  version = "20250220145130";
  sha256 = "sha256-DAlBmfBdkv8wwghykxJ4H5TSlGBhmdLaWzv35rNTDzE=";

  basilisk = pkgs.fetchzip {
    url = "https://dl.basilisk-browser.org/" +
          "basilisk-${version}.linux-x86_64-gtk3.tar.xz";
    inherit sha256;
  };
in
pkgs.buildFHSEnv {
  pname = "basilisk";
  inherit version;
  targetPkgs = pkgs:
    (with pkgs;      [ glib dbus-glib gtk3 alsa-lib ]) ++
    (with pkgs.xorg; [ libX11 libXt ]);
  runScript = "${basilisk}/basilisk";
}
