{ pkgs    ? import <nixpkgs> {},
  version ? "2024",
}:
let
  isabelle = pkgs.fetchzip {
    url = "https://isabelle.in.tum.de/dist/Isabelle${version}_linux.tar.gz";
    sha256 = "08d0zg4j12rya0qphdjfvxmy02mhrbzc6i1wy0hjfklpk2x1ml2s";
  };
in
pkgs.buildFHSEnv {
  pname = "isabelle";
  inherit version;
  targetPkgs = pkgs:
    (with pkgs;      [ zlib fontconfig ]) ++
    (with pkgs.xorg; [ libX11 libXt libXext libXrender libXtst libXi ]);
  runScript = "${isabelle}/Isabelle${version}";
}
